BUS_HINTED_CHILD(9)

NAME
BUS_HINTED_CHILD - notify a bus device about a potential child device identified by hints

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
BUS_HINTED_CHILD(device_t dev, const char *dname, int dunit);

DESCRIPTION
The BUS_HINTED_CHILD() method is invoked by the bus_enumerate_hinted_children(9) function for each set of named hints whose “at” hint matches the bus device dev. Typically, this method should determine if the set of hints for the given device name and unit sufficiently describe a new device. If so, a new device should be added via BUS_ADD_CHILD(9).

SEE ALSO
BUS_ADD_CHILD(9), bus_enumerate_hinted_children(9), device(9)

HISTORY
The BUS_HINTED_CHILD() method first appeared in FreeBSD 6.2.